Buddy pounce - send message window too short

Bug #1026442 reported by Kjell L. on 2012-07-19
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Pidgin
Unknown
Unknown
pidgin (Ubuntu)
Low
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Low
Unassigned

Bug Description

The buddy pounce send message area are too short make it very hard to type a message. It does not rescale as well when you type in more than a line

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: pidgin 1:2.10.3-0ubuntu1.1
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Uname: Linux 3.2.0-26-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu11
Architecture: amd64
Date: Thu Jul 19 06:40:44 2012
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: pidgin
UpgradeStatus: Upgraded to precise on 2012-05-02 (77 days ago)

Kjell L. (lkjell) wrote :
Zach Henry (z.h) on 2012-07-21
Changed in pidgin (Ubuntu):
status: New → Incomplete
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pidgin (Ubuntu):
status: New → Confirmed
Zach Henry (z.h) wrote :

I can confirm this bug on a fresh install of 12.04 32bit. Attached is a screenshot that highlights the problem area. The text formatting box stays this size even when the window is maximized, you can't see what you're typing.

Thomas Ward (teward) wrote :

Bug importance set to "Low", at the request of the IRC user "zh" (matches profile information for Zach Henry, LPID: infinity-quietly)

Reasoning:
<zh> I read through https://wiki.ubuntu.com/Bugs/Importance - this situation seems(to me) to fit one of the bullet points listed below "Low," specifically "Bugs that affect a non-essential aspect and limited scope of the application."

Changed in pidgin (Ubuntu):
importance: Undecided → Low
Ritesh Khadgaray (khadgaray) wrote :

A customer is looking for this fix in precise/quantal. The attached patch is trivial and will not cause any regression. This is awaiting review on upstream, but pretty safe to include.

Sebastien Bacher (seb128) wrote :

Thanks Ritesh, is there any way you could include the SRU infos to the bug and a proper debdiff rather than just the patch?

Ritesh Khadgaray (khadgaray) wrote :

[Impact]

 * pounce buddy window is unusable
 * This is a trivial fix and requested by our customers

[Test Case]
Steps to reproduce:
- Open pidgin
- Tools menu > Buddy Pounces > Add...
- Select "Send a message"
- Try to create a message.

Expected results:
- It's easy to write a message.

Actual results:
- It's really hard! ( screenshot attached )

[Regression Potential]

 * Very low probability of regression as the attached patch are very specific to pounce section, and should not affect any other bits. This will size the pounce dialog to 150pixels .

 * I have locally tested these, and could not find any issues. The only issue I foresee is when we move to display where pixel size does not make sense such as "retina" display.

[Other Info]

 * I have posted the patch upstream, and awaiting review.

Iain Lane (laney) on 2013-01-22
Changed in pidgin (Ubuntu Quantal):
status: New → Confirmed
Changed in pidgin (Ubuntu Precise):
status: New → Confirmed
Iain Lane (laney) wrote :

Thanks for your change.

Hoever, the patch is wrong - it fails to compile

/«PKGBUILDDIR»/./pidgin/gtkpounce.c: In function 'pidgin_pounce_editor_show':
/«PKGBUILDDIR»/./pidgin/gtkpounce.c:690:31: error: 'send_msg_webview' undeclared (first use in this function)
/«PKGBUILDDIR»/./pidgin/gtkpounce.c:690:31: note: each undeclared identifier is reported only once for each function it appears in

The correct variable is (seemingly) send_msg_imhtml. Can you please update the patch you filed upstream?

Now I'm concerned about the level of testing that this can have received. Please can you re-verify with these patches and outline the testing you've done? I'll attach the debdiffs that I just worked out when looking to sponsor this so that someone else can pick this up next time.

Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :

Precise had a different error:

/«PKGBUILDDIR»/./pidgin/gtkpounce.c: In function 'pidgin_pounce_editor_show':
/«PKGBUILDDIR»/./pidgin/gtkpounce.c:690:2: error: implicit declaration of function 'gtk_widget_set_size_size_request' [-Werror=implicit-function-declaration]

which is apparently a typo.

Ritesh Khadgaray (khadgaray) wrote :

Hi Iain Lane

  Thank you for catching this. The patch filled upstream is fine and based of hg diff. It is one I had tested.

  I have tested the correct patch ( for p/q/r) attached by you, and they build fine.

-- ritz

Marc Deslauriers (mdeslaur) wrote :

ACK on the debdiffs. Uploaded to raring, quantal-proposed, precise-proposed.

Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.10.6-0ubuntu4

---------------
pidgin (1:2.10.6-0ubuntu4) raring; urgency=low

  * debian/patches/pounce-webview.patch (LP: #1026442)
    - Buddy pounce - send message window too short
 -- Ritesh Khadgaray <email address hidden> Wed, 09 Jan 2013 19:37:14 +0530

Changed in pidgin (Ubuntu Raring):
status: Confirmed → Fix Released
Mike Harris (mwharris-h) wrote :

Did this make it into precise-propsed? I don't see it yet.

Hello Kjell, or anyone else affected,

Accepted pidgin into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pidgin/1:2.10.6-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pidgin (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Kjell L. (lkjell) wrote :

When will the precise package be released?

Chris J Arges (arges) wrote :

@kjell
Hi. Before the package is released we need to verify the fix. See Brian's comment above on how to verify if this fix works.
Thanks

Adam Conrad (adconrad) wrote :

Hello Kjell, or anyone else affected,

Accepted pidgin into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/pidgin/1:2.10.3-0ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pidgin (Ubuntu Precise):
status: Confirmed → Fix Committed
Kjell L. (lkjell) wrote :

Verification done on Precise

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.10.3-0ubuntu1.2

---------------
pidgin (1:2.10.3-0ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/pounce-webview.patch (LP: #1026442)
    - Buddy pounce - send message window too short
 -- Ritesh Khadgaray <email address hidden> Wed, 09 Jan 2013 17:50:06 +0530

Changed in pidgin (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.10.6-0ubuntu2.1

---------------
pidgin (1:2.10.6-0ubuntu2.1) quantal-proposed; urgency=low

  * debian/patches/pounce-webview.patch (LP: #1026442)
    - Buddy pounce - send message window too short
 -- Ritesh Khadgaray <email address hidden> Wed, 09 Jan 2013 19:37:14 +0530

Changed in pidgin (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.